=== debian/control ===
Source: ros-melodic-bondcpp
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-bond, ros-melodic-catkin, ros-melodic-cmake-modules (>= 0.3.2), ros-melodic-roscpp, ros-melodic-smclib, uuid-dev
Homepage: http://www.ros.org/wiki/bondcpp
Standards-Version: 3.9.2

Package: ros-melodic-bondcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-bond, ros-melodic-roscpp, ros-melodic-smclib, uuid-dev
Description: C++ implementation of bond, a mechanism for checking when another process has terminated.
